import { Component, Host, Prop, Element, h, Listen } from '@stencil/core';
import { Translator } from '../../utils/translator';
export class I18nT {
  constructor() {
    this.translator = Translator.getInstance();
    this.originalText = this.i18nTEL.innerHTML;
    this.getTranslation();
  }
  async getTranslation() {
    let tData = {};
    try {
      tData = JSON.parse(this.tData || '{}');
    }
    catch (e) { }
    this.i18nTEL.innerHTML = await this.translator.t(this.originalText, tData);
  }
  /**
   *
   */
  async handleTranslationsUpdate() {
    this.getTranslation();
  }
  /**
   *
   * @param data
   */
  async handleLanguageChange(data) {
    this.translator.changeLanguage(data.detail);
  }
  render() {
    return h(Host, null,
      h("slot", null));
  }
  static get is() { return "i18n-t"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["i18n-t.css"]
  }; }
  static get styleUrls() { return {
    "$": ["i18n-t.css"]
  }; }
  static get properties() { return {
    "tData": {
      "type": "string",
      "mutable": false,
      "complexType": {
        "original": "string",
        "resolved": "string",
        "references": {}
      },
      "required": false,
      "optional": false,
      "docs": {
        "tags": [],
        "text": ""
      },
      "attribute": "t-data",
      "reflect": false
    }
  }; }
  static get elementRef() { return "i18nTEL"; }
  static get listeners() { return [{
      "name": "i18n-update-translations",
      "method": "handleTranslationsUpdate",
      "target": "document",
      "capture": false,
      "passive": false
    }, {
      "name": "i18n-language-change",
      "method": "handleLanguageChange",
      "target": "document",
      "capture": false,
      "passive": false
    }]; }
}
