export declare class Language {
  private language;
  private defaultLanguage;
  private isLocalValuesAllowed;
  private userLanguage;
  constructor(defaultLanguage?: string, isLocalValuesAllowed?: boolean, userLanguage?: any);
  setValues(defaultLanguage: string): void;
  setLocalValuesAllowed(isLocalValuesAllowed?: boolean): void;
  /**
  * Comprueba si el valor introducido se encuentra en availableLangs (Lenguajes disponibles).
  * @param lang Dialecto (p.ej) `ue`, `en-ue`
  * @returns EL lang introducido o si no lo encuentra el defaultLanguage.
  */
  getFromAvailableDialects(availableLangs: string[], lang: string): string;
  getFromAvailableLangs(availableLangs: string[], lang: string): string;
  initLanguage(availableLangs: string[], resetCookie?: Boolean): void;
  getLanguage(availableLangs: string[], resetCookie?: Boolean): string;
  setLanguage(availableLangs: string[], lang: string): void;
  manageCookie(lang: string): void;
}
