import { TypeTranslationsConfig } from './utils';
export declare class TranslationsDownloader {
  private apiUrl;
  private appId;
  private appSecret;
  private tags;
  private tInterval;
  private tIntervalCount;
  private missingsInterval;
  private translationsCache;
  private availableLangsCache;
  private notFoundCache;
  private missingTag;
  private requestOptions;
  constructor(apiUrl: string, appId: string, appSecret: string, missingTag?: string, tags?: any[]);
  setValues(apiUrl: string, appId: string, appSecret: string): void;
  cacheClear(): void;
  /**
  * Obtiene las traducciones para un idioma y los idiomas disponibles.
  * Primero mira en la cache y sino las obtiene de (p.ej. para es): `assets/translations/all-es.json`
  * @param lang Idiioma de las traducciones
  * isForceRefresh
  * @returns Un objeto json con las traducciones disponibles para ese idioma
  */
  getTranslationsConfig(defaultAvailableLangs: string[], lang: string, isLocalValuesAllowed: boolean): Promise<TypeTranslationsConfig>;
  getRemoteAvailableLangs(defaultAvailable: string[]): Promise<any>;
  getRemote(lang: string, isLocalValuesAllowed: boolean): Promise<any>;
  getLocal(lang: string, isLocalValuesAllowed: boolean): any;
  private createAuthQs;
  private generateToken;
  private ab2str;
  private str2ab;
  /**
  * Fills notFound array with empty translation strings.
  * @param object translations json.
  */
  private process;
  handleMissing(translationID: any, lang: any): any;
}
